Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.plastic
Interface FieldConduit<T>

All Known Subinterfaces:
  ParameterConduit

All Known Implementing Classes:
  ReadOnlyComponentFieldConduit

    public interface FieldConduit<T>

A `FieldConduit` is an object that effectively replaces the field in the instantiated object. All reads and writes of the field are replaced with invocations on the conduit. Once a field's access is replaced with a conduit, the field itself is no longer used. The conduit will even see initializations of the field.

In Aspect Oriented Programming terms, a FieldConduit allows you to advise read and write access to the field.

If a field has both a FieldConduit and a `FieldHandle`, then the methods of the FieldHandle will be connected to the methods of the FieldConduit.

Method Summary
`T` | `get(java.lang.Object instance, InstanceContext context)` Invoked when the field is read.
`void` | `set(java.lang.Object instance, InstanceContext context, T newValue)` Invoked when the field's value is updated.

Method Detail

### get

    T get(java.lang.Object instance,
          InstanceContext context)

  Invoked when the field is read.

  Parameters:
    `instance` - the instance containing the field
    `context` - (see `ClassInstantiator.with(Class, Object)`)

### set

    void set(java.lang.Object instance,
             InstanceContext context,
             T newValue)

  Invoked when the field's value is updated.

  Parameters:
    `instance` - the instance containing the field
    `context` - (see `ClassInstantiator.with(Class, Object)`)
    `newValue` - value assigned to the field

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.